Package io.dapr.exceptions

# Class DaprException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
io.dapr.exceptions.DaprException

All Implemented Interfaces:
  `java.io.Serializable`

    public class DaprException
    extends java.lang.RuntimeException

A Dapr's specific exception.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DaprException​(DaprError daprError)` | New exception from a server-side generated error code and message.
  `DaprException​(DaprError daprError, java.lang.Throwable cause)` | New exception from a server-side generated error code and message.
  `DaprException​(java.lang.String errorCode, java.lang.String message)` | New Exception from a client-side generated error code and message.
  `DaprException​(java.lang.String errorCode, java.lang.String message, java.lang.Throwable cause)` | New exception from a server-side generated error code and message.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getErrorCode()` | Returns the exception's error code.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DaprException

    public DaprException​(DaprError daprError)
    New exception from a server-side generated error code and message.
    Parameters:
      `daprError` - Server-side error.

  - ### DaprException

    public DaprException​(DaprError daprError, java.lang.Throwable cause)
    New exception from a server-side generated error code and message.
    Parameters:
      `daprError` - Client-side error.
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

  - ### DaprException

    public DaprException​(java.lang.String errorCode, java.lang.String message)
    New Exception from a client-side generated error code and message.
    Parameters:
      `errorCode` - Client-side error code.
      `message` - Client-side error message.

  - ### DaprException

    public DaprException​(java.lang.String errorCode, java.lang.String message, java.lang.Throwable cause)
    New exception from a server-side generated error code and message.
    Parameters:
      `errorCode` - Client-side error code.
      `message` - Client-side error message.
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

- ## Method Details

  - ### getErrorCode

    public java.lang.String getErrorCode()
    Returns the exception's error code.
    Returns:
      Error code.